Package: grails.doc.gradle

## [Groovy] Class PublishGuide

- grails.doc.gradle.PublishGuide

- Gradle task for generating a gdoc-based HTML user guide.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `language`
    `java.util.Collection` | `macros`
    `java.util.List` | `propertiesFiles`
    `java.io.File` | `resourcesDir`
    `java.io.File` | `sourceDir`
    `java.io.File` | `targetDir`
    `java.io.File` | `workDir`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `publishGuide()`

- - ### Property Detail

    - #### @Input java.lang.String language

    - #### java.util.Collection macros

    - #### @Input java.util.List propertiesFiles

    - #### @InputDirectory java.io.File resourcesDir

    - #### @InputDirectory java.io.File sourceDir

    - #### @OutputDirectory java.io.File targetDir

    - #### java.io.File workDir

  - ### Method Detail

    - #### @TaskAction java.lang.Object publishGuide()